function load(bricks)
	if(bricks==nil) then
		return;
		end
	--local brickNames={"brick_red.ini", "brick_yellow.ini", "brick_blue.ini", "brick_green.ini", "brick_cyan.ini", "brick_gray.ini", "brick_pink.ini"};
	for x=1, table.getn(bricks) do
		if(bricks[x]>0) then
			--addBrick("data/gfx.crs:bricks", ((x-1)%10)*32+16, math.floor((x-1)/10)*16+8, bricks[x]-1, x, brickNames[bricks[x]]);
			addBrick("data/gfx.crs:bricks", ((x-1)%10)*32+16, math.floor((x-1)/10)*16+8, bricks[x]-1, 100+x, "brick.ini");
			end
		end
	end

function save(name)
	local px, py=getPlayerPos();
	dbSetVal("player_x", px);
	dbSetVal("player_y", py);
	dbSetVal("player_hp", getPlayerHp());
	dbSetVal("player_pts", getPlayerPoints());
	dbSetStr("player_lvl", getLvlName());
	dbSave("save/"..name..".bin");
	end

function powerup_update()
	if(powerup==0) then
		return;
		end
	powerup_timeout=powerup_timeout-1;
	if(powerup_timeout<0) then
		powerup_none();
		end
	end

function powerup_none()
	setPlayerAnim(0);
	setPlayerMaxSpd(5);
	--if(powerup==1) then
	--	setPlayerAnim(0);
	--elseif(powerup==2) then
	--elseif(powerup==3) then
	if(powerup==4) then
		for i=0, ball_id do		-- ball_id -> maksymalne id pilki
			if(getBall(i)==1) then
				setBallNoclip(i, 0);
				setBallAnim(i, 0);
			else
				i=i-1;
				end
			end
		end
	--elseif(powerup==5) then
	--	setPlayerAnim(0);
	--elseif(powerup==6) then
	--	setPlayerMaxSpd(5);
	--elseif(powerup> 6) then
	--	setPlayerMaxSpd(5);
	--	end
	powerup=0;
	end

function powerup_1()
	powerup_none();

	powerup=1;
	powerup_timeout=200;

	setPlayerAnim(2);
	end

function powerup_2()
	powerup_none();

	setPlayerHp(getPlayerHp()+1);
	end

function powerup_3()
	powerup_none();

	-- Sprite *sprite, int id, int x, int y, int anim, int spdx=0, int spdy=0
	x, y=getPlayerPos();
	addBall("data/gfx.crs:ball", ball_id, x-getPlayerW()/2+4, y-8, 3, -1, -2);
	addBall("data/gfx.crs:ball", ball_id+2, x+getPlayerW()/2+4, y-8, 3, 1, -2);
	ball_id=ball_id+3;
	end

function powerup_4()
	powerup_none();

	powerup=4;
	powerup_timeout=750;

	for i=0, ball_id do		-- ball_id -> maksymalne id pilki
		if(getBall(i)==1) then
			setBallNoclip(i, 1);
			setBallAnim(i, 1);
		else
			i=i-1;
			end
		end
	end

function powerup_5()
	powerup_none();

	--powerup=5;
	--powerup_timeout=10000;

	setPlayerAnim(1);
	end

function powerup_6()
	powerup_none();

	powerup=6;
	powerup_timeout=600;

	setPlayerMaxSpd(8);
	end

function powerup_7()
	powerup_none();

	powerup=7;
	powerup_timeout=400;

	setPlayerMaxSpd(2);
	end

powerup=0;
powerup_timeout=0;
ball_id=1;
